org.apache.http.config

## Class MessageConstraints

- java.lang.Object
- - org.apache.http.config.MessageConstraints

All Implemented Interfaces:
  Cloneable

    public class MessageConstraints
    extends Object
    implements Cloneable

HTTP Message constraints: line length and header count.

Since:
  4.3

### Nested Class Summary

Nested Classes
`static class` `MessageConstraints.Builder`

### Field Summary

Fields
`static MessageConstraints` `DEFAULT`

### Method Summary

Methods
`protected MessageConstraints` `clone()`
`static MessageConstraints.Builder` `copy(MessageConstraints config)`
`static MessageConstraints.Builder` `custom()`
`int` `getMaxHeaderCount()`
`int` `getMaxLineLength()`
`static MessageConstraints` `lineLen(int max)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DEFAULT

    public static final MessageConstraints DEFAULT

### Method Detail

#### getMaxLineLength

    public int getMaxLineLength()

#### getMaxHeaderCount

    public int getMaxHeaderCount()

#### clone

    protected MessageConstraints clone()
                                throws CloneNotSupportedException

Overrides:
  `clone` in class `Object`
Throws:
  `CloneNotSupportedException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### lineLen

    public static MessageConstraints lineLen(int max)

#### custom

    public static MessageConstraints.Builder custom()

#### copy

    public static MessageConstraints.Builder copy(MessageConstraints config)